/*
==========================================================================================
==
==	File:		mdebug.h
==
==	Contains:	Debugging routines for Mac OS.
==
==	Copyright:	 1998 by Christopher Nebel, all rights reserved.
==
==	Change History (most recent first):
==
==		 <1>	 7/23/98	Neb		Spliced off from ossmac.h.
==
=========================================================================================
*/

#ifndef __MDEBUG__
#define __MDEBUG__

#include <stddef.h>


#ifdef NDEBUG

	#define DPRINTF(x)  ((void) 0)
	#define VERIFY(x)   (x)

#else

	int dprintf(const char *fmt, ...);
	
	#define DPRINTF(x)  dprintf x
	#define VERIFY(x)   ((x) ? true : (dprintf(#x " failed!  File %s, line %d\n", __FILE__, __LINE__), false))

	void printmem(const void *p, size_t len);

#endif

#endif
